Index: /code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw
===================================================================
--- /code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/data/levels/OrxyRoad.oxw	(revision 11899)
@@ -43,5 +43,5 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" lookat="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=OrxyRoadShip pawndesign=spaceshipdodgerace />
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=OrxyRoadShip pawndesign=spaceshiporxyroad />
 
     <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
Index: /code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt
===================================================================
--- /code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt	(revision 11899)
@@ -1,4 +1,4 @@
-<Template name=spaceshipdodgerace>
-  <DodgeRaceShip
+<Template name=spaceshiporxyroad>
+  <OrxyRoadShip
    hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshipescortcameras
@@ -74,9 +74,9 @@
   include("../includes/invaderWeapon.oxi")
 ?>
-  </DodgeRaceShip>
+  </OrxyRoadShip>
 </Template>
 
 <Template name=spaceshipescortcameras defaults=0>
-  <DodgeRaceShip>
+  <OrxyRoadShip>
     <camerapositions>
 		<CameraPosition position="0,100,180" direction="0, -0.2, -1" drag=false mouselook=true />
@@ -85,5 +85,5 @@
 		<CameraPosition position="0,1300,-100" direction="0, -1, 0" drag=false mouselook=true />
     </camerapositions>
-  </DodgeRaceShip>
+  </OrxyRoadShip>
 </Template>
 
Index: /code/branches/OrxyRoad_FS18/src/modules/orxyroad/CMakeLists.txt
===================================================================
--- /code/branches/OrxyRoad_FS18/src/modules/orxyroad/CMakeLists.txt	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/src/modules/orxyroad/CMakeLists.txt	(revision 11899)
@@ -1,3 +1,3 @@
-SET_SOURCE_FILES(OrxyRoad_SRC_FILES
+SET_SOURCE_FILES(Orxyroad_SRC_FILES
 OrxyRoad.cc
 OrxyRoadCenterPoint.cc
@@ -14,4 +14,4 @@
     orxonox
     overlays
-  SOURCE_FILES ${OrxyRoad_SRC_FILES}
+  SOURCE_FILES ${Orxyroad_SRC_FILES}
 )
Index: /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc
===================================================================
--- /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11899)
@@ -43,5 +43,5 @@
     RegisterUnloadableClass(OrxyRoad);
 
-    OrxyRoad::OrxyRoad(Context* context) : Gametype(context)
+    OrxyRoad::OrxyRoad(Context* context) : Deathmatch(context)
     {
         RegisterObject(OrxyRoad);
@@ -118,7 +118,7 @@
                     switch(pattern)
                     {
-                    case 1: cube->addTemplate("DodgeRaceCube01");
+                    case 1: cube->addTemplate("OrxyRoadCube01");
                     break;
-                    case 2: cube->addTemplate("DodgeRaceCube01");
+                    case 2: cube->addTemplate("OrxyRoadCube01");
                     break;
 
@@ -191,4 +191,5 @@
             return;
         }
+        Deathmatch::start();
     }
 
@@ -234,5 +235,5 @@
         {
             int score = this->getPoints();
-            Highscore::getInstance().storeScore("Dodge Race", score, this->playerInfo_);
+            Highscore::getInstance().storeScore("Orxy Road ", score, this->playerInfo_);
         }
         GSLevel::startMainMenu();
Index: /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h
===================================================================
--- /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h	(revision 11899)
@@ -57,5 +57,5 @@
 #include "core/command/ConsoleCommand.h"
 
-#include "gametypes/Gametype.h"
+#include "gametypes/Deathmatch.h"
 #include "tools/Timer.h"
 
@@ -63,5 +63,5 @@
 {
 
-    class _OrxyRoadExport OrxyRoad : public Gametype
+    class _OrxyRoadExport OrxyRoad : public Deathmatch
     {
        public:
Index: /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc
===================================================================
--- /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc	(revision 11899)
@@ -1,2 +1,3 @@
+
 /*   ORXONOX - the hottest 3D action shooter ever to exist
  *                    > www.orxonox.net <
Index: /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc
===================================================================
--- /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc	(revision 11898)
+++ /code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc	(revision 11899)
@@ -55,4 +55,6 @@
     void OrxyRoadShip::tick(float dt)
     {
+        orxout(user_info) << "This is some cool output!" << endl;
+
         Vector3 pos = getPosition();
 