Index: code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11893)
+++ code/branches/RacingBots_FS18/data/levels/newnewnewspacerace.oxw	(revision 11912)
@@ -479,5 +479,5 @@
 
 <!-- the last checkpoint is bigger and red -->
-    <RaceCheckPoint name="checkpoint20" yaw=90 pitch=90 position="53000,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="19" islast="true">
+    <RaceCheckPoint name="checkpoint20" yaw=90 pitch=90 position="51000,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="19" islast="true">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_Finish.mesh"/>
@@ -499,26 +499,26 @@
       </attached>
       <controller>
-        <ArrowController accuracy = 2000>
+        <ArrowController accuracy = 5000>
           <gpspoints>
-            <Model mesh="cube.mesh" scale=2 position="1000,30,0"/>
-            <Model mesh="cube.mesh" scale=2 position="3000,200,100"/>
-            <Model mesh="cube.mesh" scale=2 position="5000,100,500"/>
-            <Model mesh="cube.mesh" scale=2 position="8000,-150,150"/>
-            <Model mesh="cube.mesh" scale=2 position="10000,-200,200"/>
-            <Model mesh="cube.mesh" scale=2 position="13000,200,400"/>
-            <Model mesh="cube.mesh" scale=2 position="15000,0,0"/>
-            <Model mesh="cube.mesh" scale=2 position="18000,150,-150"/>
-            <Model mesh="cube.mesh" scale=2 position="21000,200,-120"/>
-            <Model mesh="cube.mesh" scale=2 position="24000,-150,-80"/>
-            <Model mesh="cube.mesh" scale=2 position="27000,-200,0"/>
-            <Model mesh="cube.mesh" scale=2 position="30000,-300,900"/>
-            <Model mesh="cube.mesh" scale=2 position="33000,600,60"/>
-            <Model mesh="cube.mesh" scale=2 position="35000,120,20"/>
-            <Model mesh="cube.mesh" scale=2 position="38000,-200,0"/>
-            <Model mesh="cube.mesh" scale=2 position="41000,30,-50"/>
-            <Model mesh="cube.mesh" scale=2 position="44000,90,0"/>
-            <Model mesh="cube.mesh" scale=2 position="47000,120,30"/>
-            <Model mesh="cube.mesh" scale=2 position="50000,0,100"/>
-            <Model mesh="cube.mesh" scale=2 position="53000,0,0"/>
+            <Model mesh="cube.mesh" scale=0 position="1000,30,0"/>
+            <Model mesh="cube.mesh" scale=0 position="3000,200,100"/>
+            <Model mesh="cube.mesh" scale=0 position="5000,100,500"/>
+            <Model mesh="cube.mesh" scale=0 position="8000,-150,150"/>
+            <Model mesh="cube.mesh" scale=0 position="10000,-200,200"/>
+            <Model mesh="cube.mesh" scale=0 position="13000,200,400"/>
+            <Model mesh="cube.mesh" scale=0 position="15000,0,0"/>
+            <Model mesh="cube.mesh" scale=0 position="18000,150,-150"/>
+            <Model mesh="cube.mesh" scale=0 position="21000,200,-120"/>
+            <Model mesh="cube.mesh" scale=0 position="24000,-150,-80"/>
+            <Model mesh="cube.mesh" scale=0 position="27000,-200,0"/>
+            <Model mesh="cube.mesh" scale=0 position="30000,-300,900"/>
+            <Model mesh="cube.mesh" scale=0 position="33000,600,60"/>
+            <Model mesh="cube.mesh" scale=0 position="35000,120,20"/>
+            <Model mesh="cube.mesh" scale=0 position="38000,-200,0"/>
+            <Model mesh="cube.mesh" scale=0 position="41000,30,-50"/>
+            <Model mesh="cube.mesh" scale=0 position="44000,90,0"/>
+            <Model mesh="cube.mesh" scale=0 position="47000,120,30"/>
+            <Model mesh="cube.mesh" scale=0 position="50000,0,100"/>
+            <Model mesh="cube.mesh" scale=0 position="51000,0,0"/>
 
             
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc	(revision 11893)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceController.cc	(revision 11912)
@@ -63,5 +63,5 @@
 
         int i;
-        for (i = -2; findCheckpoint(i) != nullptr; i--)
+        for (i = -2; findCheckpoint(i) != nullptr; i--)     // WIESO?
         {
             continue;
@@ -124,13 +124,13 @@
                 if (currentCheckpoint == findCheckpoint(checkpointIndex))
                 {
-                    //orxout() << currentCheckpoint->getCheckpointIndex()<<endl;
+                    orxout() << currentCheckpoint->getCheckpointIndex()<<endl;
                     continue;
                 }
                 if (findCheckpoint(checkpointIndex) == nullptr){
-                    orxout()<<"nullpointer @ SpaceraceController line 130"<< endl;
                     orxout(internal_warning) << "Problematic Point: " << checkpointIndex << endl;
                 }
                 else
                     numberOfWays += rekSimulationCheckpointsReached(findCheckpoint(checkpointIndex), zaehler);
+
             }
             zaehler[currentCheckpoint] += numberOfWays;
@@ -173,5 +173,5 @@
 
         }
-
+        if(minNextRaceCheckPoint==nullptr){orxout()<<"minNextRaceCheckPoint=nullpointer line 175 SpaceRaceController index: "<<endl;}
         return minNextRaceCheckPoint;
     }
@@ -228,6 +228,8 @@
             if (checkpoint->getCheckpointIndex() == index)
                 return checkpoint;
-        }
-
+
+        }
+
+        orxout()<<"returned nullptr @line 231 SpaceRaceController"<<endl;
         return nullptr;
     }
@@ -325,5 +327,5 @@
             this->moveToPosition(Vector3(rnd()*100, rnd()*100, rnd()*100));
             this->spin();
-            //orxout(user_status) << "Mindistance reached" << std::endl;
+            orxout(user_status) << "Mindistance reached" << std::endl;
             return;
         }
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceManager.cc	(revision 11893)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRaceManager.cc	(revision 11912)
@@ -113,7 +113,13 @@
     RaceCheckPoint* SpaceRaceManager::findCheckpoint(int index) const
     {
-        for (RaceCheckPoint* checkpoint : this->checkpoints_)
+        /*for (RaceCheckPoint* checkpoint : this->checkpoints_)
         if (checkpoint->getCheckpointIndex() == index)
         return checkpoint;
+        return nullptr;*/
+        for (RaceCheckPoint* checkpoint : this->checkpoints_){
+            if (checkpoint->getCheckpointIndex() == index)
+                return checkpoint;
+        }
+        orxout()<<"returned checkpoint @line 123 SpaceRaceManager"<<endl;
         return nullptr;
     }