Index: code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw	(revision 11928)
+++ code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw	(revision 11932)
@@ -33,8 +33,11 @@
 
 
-  <AAAAutonomousDrone id="Dummy" position="0,0,0" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
+  <AAAAutonomousDrone id="dummy" position="0,0,0">
     <attached>
       <Model scale="10" mesh="drone.mesh"/>
     </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+    </collisionShapes>
   </AAAAutonomousDrone>
     
Index: code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua	(revision 11928)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua	(revision 11932)
@@ -1,21 +1,5 @@
 
-rotate_factor = 0
-station_loc = 200
-station_speed = 0
+id = "dummy"
 
-id = "Dummy"
-
-function spawn_station(obj)
-	orxPrint("Spawning station")
-	setPosition("Station", 500, 0, 0)
-	setOrientation("Station", 0, -1, 0, 0)
-end
-
-function rotate_faster(obj1, obj2, health, shield)
-	orxPrint("Rotating station faster")
-
-	rotate_factor = rotate_factor + 0.02
-	setAngularVelocity("Station", rotate_factor, 0, 0)
-end
 
 
@@ -46,5 +30,5 @@
 function move_dummy()
 	orxPrint("Moving dummy!")
-	moveControllableEntity(id, 100.0, 0.0, 0.0)
+	moveControllableEntity(id, 1.0, 0.0, 0.0)
 end
 
@@ -56,22 +40,9 @@
 
 
-function next_station_loc(obj1, obj2)
-	orxPrint("Moving station")
-
-	station_loc = station_loc + 500
-	setPosition("Station", station_loc, 0, 0)
-
-	station_speed = station_speed + 5
-	setVelocity("Station", -station_speed, 0, 0)
-
-	registerAtNearObject(next_station_loc, "Player", "Station", 200)
-end
 
 
+move_dummy_after_timeout(5)
+kill_dummy_after_timeout(10)
 
-
-
-move_dummy_after_timeout(3)
-kill_dummy_after_timeout(6)
 
 orxPrint("Script started! OMG ROFL LOL WTF")
Index: code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc
===================================================================
--- code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11928)
+++ code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11932)
@@ -408,6 +408,4 @@
             controllable_entity = orxonox_cast<ControllableEntity*>(entity);
 
-            orxout(user_warning) << "Accessed " << id << std::endl;
-
             controllable_entity->moveFrontBack(x);
             controllable_entity->moveRightLeft(y);
Index: code/branches/ScriptableController_FS18/src/orxonox/worldentities/pawns/AAAAutonomousDrone.cc
===================================================================
--- code/branches/ScriptableController_FS18/src/orxonox/worldentities/pawns/AAAAutonomousDrone.cc	(revision 11928)
+++ code/branches/ScriptableController_FS18/src/orxonox/worldentities/pawns/AAAAutonomousDrone.cc	(revision 11932)
@@ -121,10 +121,14 @@
         SUPER(AAAAutonomousDrone, tick, dt);
 
+
         this->localLinearAcceleration_.setX(this->localLinearAcceleration_.x() * getMass() * this->auxiliaryThrust_);
         this->localLinearAcceleration_.setY(this->localLinearAcceleration_.y() * getMass() * this->auxiliaryThrust_);
+
+
         if (this->localLinearAcceleration_.z() > 0)
             this->localLinearAcceleration_.setZ(this->localLinearAcceleration_.z() * getMass() * this->auxiliaryThrust_);
         else
             this->localLinearAcceleration_.setZ(this->localLinearAcceleration_.z() * getMass() * this->primaryThrust_);
+
         this->physicalBody_->applyCentralForce(physicalBody_->getWorldTransform().getBasis() * this->localLinearAcceleration_);
         this->localLinearAcceleration_.setValue(0, 0, 0);