Index: code/branches/3DPacman_FS18/data/levels/3DPacman.oxw
===================================================================
--- code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11931)
+++ code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11933)
@@ -59,4 +59,23 @@
 </PacmanGhost>
 
+
+
+
+
+<PacmanGhost position="0,-20,0" >
+    <attached>
+        <Model position="0,0,0" mesh="PacmanGhostAfraid.mesh" scale="5" />
+    </attached>
+</PacmanGhost>
+
+<PacmanPointAfraid position="215,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="5" />
+    </attached>
+</PacmanPointAfraid>
+
+
+
+
 <!-- POINTS -->
 <PacmanPointSphere position="0,10,0">
@@ -78,4 +97,9 @@
 </PacmanPointSphere>
 
+<PacmanPointAfraid position="215,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointAfraid.mesh" scale="5" />
+    </attached>
+</PacmanPointAfraid>
 
 <!-- Map -->
Index: code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11931)
+++ code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11933)
@@ -96,4 +96,10 @@
         }
 
+        for(PacmanPointAfraid* next : ObjectList<PacmanPointAfraid>()){
+            if(collis(next->getPosition(), currentPosition)){
+                setAfraid();
+            }
+        }
+
     }
 
@@ -106,7 +112,22 @@
 
     void Pacman::catched(){
+
+    if(!afraid) {
         if(!lives) this->end();
         --lives;
         this->posreset();
+        }
+    else{
+
+        for(int nrghost = 0; nrghost<3; ++nrghost){
+        bcolli = collis(ghosts[nrghost]->getPosition(), currentPosition);
+        if(bcolli) ghosts[nrghost]->resetGhost();
+        bcolli = false;
+        }
+      }
+    }
+
+    void setAfraid(){
+        afraid = true;
     } 
 
Index: code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h	(revision 11931)
+++ code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h	(revision 11933)
@@ -39,4 +39,5 @@
 #include "PacmanGhost.h"
 #include "PacmanPointSphere.h"
+#include "PacmanPointAfraid.h"
 #include "Highscore.h"
 //#include "PlayerInfo.h"
@@ -95,4 +96,6 @@
             int totallevelpoint = 3;
             //bool firstGame;
+            bool afraid = false;
+            float timer = 0;
             
        private:
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11931)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11933)
@@ -417,5 +417,6 @@
 
     void PacmanGhost::move(float dt, Vector3 actuelposition, Vector3 velocity){
-        this->setPosition(Vector3(actuelposition.x+20*velocity.x*dt,10,actuelposition.z+20*velocity.z*dt));
+        if(!dontmove)
+            this->setPosition(Vector3(actuelposition.x+20*velocity.x*dt,10,actuelposition.z+20*velocity.z*dt));
     }
 
@@ -423,4 +424,12 @@
        if((abs(one.x - other.x)<0.5) && (abs(one.z - other.z)<0.5)) return true;
         return false;
+    }
+
+    void changemovability(){
+        if(dontmove){
+         dontmove = false;}
+        else{
+         dontmove = true;   
+        }
     }
 
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11931)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11933)
@@ -58,7 +58,8 @@
 
             bool findpos(Vector3 one, Vector3 other);      
-
+            void changemovability();
 
         private:
+            bool dontmove = false;
             bool ismoving = false;
             int decision = 0; //Gives the random which way information to the ghost.
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11933)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11933)
@@ -0,0 +1,88 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oli Scheuss
+ *   Co-authors:
+ *      Damian 'Mozork' Frick
+ *
+ */
+
+#include "PacmanPointSphere.h"
+
+#include "core/CoreIncludes.h"
+#include "BulletDynamics/Dynamics/btRigidBody.h"
+
+namespace orxonox
+{
+    RegisterClass(PacmanPointSphere);
+
+    /**
+    @brief
+        Constructor. Registers the object and initializes some default values.
+    @param creator
+        The creator of this object.
+    */
+    PacmanPointSphere::PacmanPointSphere(Context* context) : ControllableEntity(context)
+    {
+        RegisterObject(PacmanPointSphere);
+        this->setCollisionType(CollisionType::None); 
+    }
+
+    /**
+    @brief
+        Destructor. Destroys controller, if present.
+    */
+    PacmanPointSphere::~PacmanPointSphere()
+    {
+        // Deletes the controller if the object was initialized and the pointer to the controller is not NULL.
+    }
+
+    /**
+    @brief
+        Method for creating a AutonomousDrone through XML.
+    */
+    void PacmanPointSphere::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(PacmanPointSphere, XMLPort, xmlelement, mode);
+    }
+
+
+    void PacmanPointSphere::tick(float dt)
+    {
+        SUPER(PacmanPointSphere, tick, dt);
+    }
+
+    bool PacmanPointSphere::taken(Vector3 playerpos)
+    {
+      if((abs(this->resetposition.x - playerpos.x)<0.1) && (abs(this->resetposition.z - playerpos.z)<0.1)){
+        this->setPosition(Vector3(resetposition.x, -50, resetposition.z));
+        return true;
+      } 
+
+      return false;
+    }
+
+
+    void PacmanPointSphere::resetPacmanPointSphere(){
+        this->setPosition(resetposition);
+    }
+}
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11933)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11933)
@@ -0,0 +1,58 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oli Scheuss
+ *   Co-authors:
+ *      Damian 'Mozork' Frick
+ *
+ */
+
+#ifndef _PacmanPointSphere_H__
+#define _PacmanPointSphere_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "core/XMLPort.h"
+
+#include "worldentities/ControllableEntity.h"
+
+namespace orxonox {
+
+    class _OrxonoxExport PacmanPointSphere : public ControllableEntity
+    {
+        public:
+            PacmanPointSphere(Context* context);
+            virtual ~PacmanPointSphere();
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating an AutonomousDrone through XML.
+            virtual void tick(float dt); //!< Defines which actions the AutonomousDrone has to take in each tick.
+
+            bool taken(Vector3 playerpos);
+            void resetPacmanPointSphere();
+        private:
+            
+            Vector3 resetposition;
+    };
+
+}
+
+#endif