Index: code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw	(revision 11935)
+++ code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw	(revision 11936)
@@ -1,5 +1,5 @@
 <LevelInfo
  name = "AAAScriptableControllerTest"
- description = "A level with absolutely nothing in it."
+ description = "Demonstrates moving and killing a drone by use of a script."
  tags = "test"
  screenshot = "emptylevel.png"
@@ -30,13 +30,19 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="100,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
 
-    <ModularSpaceShip id="Station" velocity= "0,0,0" position="50000000,0,0" lookat= "0,0,0" health="500" maxhealth="500" initialhealth="500">
-      <templates>
-        <Template link=endurance />
-      </templates>
-    </ModularSpaceShip>
+  <AAAAutonomousDrone id="dummy" position="0,0,0">
+    <attached>
+      <Model scale="10" mesh="drone.mesh"/>
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+    </collisionShapes>
+  </AAAAutonomousDrone>
     
+  
+
+
   </Scene>
 </Level>
Index: code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua	(revision 11935)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua	(revision 11936)
@@ -1,6 +1,9 @@
 
-rotate_factor = 0
-station_loc = 200
-station_speed = 0
+rotate_factor = 0.0
+station_loc = 200.0
+station_speed = 0.0
+
+id = "dummy"
+
 
 function spawn_station(obj)
@@ -9,4 +12,5 @@
 	setOrientation("Station", 0, -1, 0, 0)
 end
+
 
 function rotate_faster(obj1, obj2, health, shield)
@@ -23,4 +27,5 @@
 end
 
+
 function kill_player_after_timeout(pawn)
 	orxPrint("Killing player after 5s")
@@ -28,4 +33,5 @@
 	registerAfterTimeout(kill_player, 5)
 end
+
 
 function next_station_loc(obj1, obj2)
@@ -42,9 +48,52 @@
 
 
+function kill_player()
+	orxPrint("Killing player")
+	killPawn("Player")
+end
 
+
+function kill_dummy()
+	orxPrint("Killing dummy!")
+	killPawn(id)
+end
+
+
+function kill_player_after_timeout(pawn)
+	orxPrint("Killing player after 5s")
+
+	registerAfterTimeout(kill_player, 5)
+end
+
+
+function kill_dummy_after_timeout(seconds)
+	orxPrint("Killing dummy after " .. tostring(seconds))
+	registerAfterTimeout(kill_dummy, seconds)
+end
+
+
+function move_dummy()
+	orxPrint("Moving dummy!")
+	moveControllableEntity(id, 1.0, 0.0, 0.0)
+end
+
+
+function move_dummy_after_timeout(seconds)
+	orxPrint("Moving dummy after " .. tostring(seconds))
+
+	registerAfterTimeout(move_dummy, seconds)
+end
+
+
+
+
+move_dummy_after_timeout(5)
+kill_dummy_after_timeout(10)
 
 
 orxPrint("Script started! OMG ROFL LOL WTF")
 mytestfunction(3.0, 4.0)
-spawn("ModularSpaceShip","Station2")
 
+
+spawn("ModularSpaceShip", "sepp")
+setPosition("sepp", 500, 0, 0)
Index: code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua	(revision 11935)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua	(revision 11936)
@@ -1,5 +1,4 @@
 
 id = "dummy"
-
 
 
@@ -22,4 +21,5 @@
 end
 
+
 function kill_dummy_after_timeout(seconds)
 	orxPrint("Killing dummy after " .. tostring(seconds))
@@ -33,7 +33,7 @@
 end
 
+
 function move_dummy_after_timeout(seconds)
 	orxPrint("Moving dummy after " .. tostring(seconds))
-
 	registerAfterTimeout(move_dummy, seconds)
 end
Index: code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc
===================================================================
--- code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11935)
+++ code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11936)
@@ -394,5 +394,5 @@
         if(entity == nullptr)
         {
-            orxout(user_warning) << "Trying to set velocity of an unknown object" << std::endl;
+            orxout(user_warning) << "Trying to move an unknown object" << std::endl;
             return;
         }
@@ -407,5 +407,5 @@
         {
             controllable_entity = orxonox_cast<ControllableEntity*>(entity);
-
+            //ATTACHED COLLISION SHAPE is MANDATORY in order to move the entity
             controllable_entity->moveFrontBack(x);
             controllable_entity->moveRightLeft(y);