Index: /code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt	(revision 11938)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt	(revision 11939)
@@ -4,4 +4,5 @@
   PacmanGelb.cc
   PacmanPointSphere.cc
+  PacmanPointAfraid.cc
 )
 
Index: /code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11938)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11939)
@@ -65,4 +65,12 @@
     {
         SUPER(Pacman, tick, dt);
+
+        if(!timer){
+            timer = timer - dt;
+            if(timer<=0){
+                afraid = false;
+                timer = 0;
+            }
+        }
 
         int i = 0;
@@ -119,5 +127,4 @@
         }
     else{
-
         for(int nrghost = 0; nrghost<3; ++nrghost){
         bcolli = collis(ghosts[nrghost]->getPosition(), currentPosition);
@@ -130,4 +137,5 @@
     void setAfraid(){
         afraid = true;
+        timer = 10; //Set timer to 10 seconds
     } 
 
Index: /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11938)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11939)
@@ -27,5 +27,5 @@
  */
 
-#include "PacmanPointSphere.h"
+#include "PacmanPointAfraid.h"
 
 #include "core/CoreIncludes.h"
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    RegisterClass(PacmanPointSphere);
+    RegisterClass(PacmanPointAfraid);
 
     /**
@@ -42,7 +42,7 @@
         The creator of this object.
     */
-    PacmanPointSphere::PacmanPointSphere(Context* context) : ControllableEntity(context)
+    PacmanPointAfraid::PacmanPointAfraid(Context* context) : ControllableEntity(context)
     {
-        RegisterObject(PacmanPointSphere);
+        RegisterObject(PacmanPointAfraid);
         this->setCollisionType(CollisionType::None); 
     }
@@ -52,5 +52,5 @@
         Destructor. Destroys controller, if present.
     */
-    PacmanPointSphere::~PacmanPointSphere()
+    PacmanPointAfraid::~PacmanPointAfraid()
     {
         // Deletes the controller if the object was initialized and the pointer to the controller is not NULL.
@@ -61,16 +61,16 @@
         Method for creating a AutonomousDrone through XML.
     */
-    void PacmanPointSphere::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    void PacmanPointAfraid::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(PacmanPointSphere, XMLPort, xmlelement, mode);
+        SUPER(PacmanPointAfraid, XMLPort, xmlelement, mode);
     }
 
 
-    void PacmanPointSphere::tick(float dt)
+    void PacmanPointAfraid::tick(float dt)
     {
-        SUPER(PacmanPointSphere, tick, dt);
+        SUPER(PacmanPointAfraid, tick, dt);
     }
 
-    bool PacmanPointSphere::taken(Vector3 playerpos)
+    bool PacmanPointAfraid::taken(Vector3 playerpos)
     {
       if((abs(this->resetposition.x - playerpos.x)<0.1) && (abs(this->resetposition.z - playerpos.z)<0.1)){
@@ -83,5 +83,5 @@
 
 
-    void PacmanPointSphere::resetPacmanPointSphere(){
+    void PacmanPointAfraid::resetPacmanPointAfraid(){
         this->setPosition(resetposition);
     }
Index: /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11938)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11939)
@@ -27,6 +27,6 @@
  */
 
-#ifndef _PacmanPointSphere_H__
-#define _PacmanPointSphere_H__
+#ifndef _PacmanPointAfraid_H__
+#define _PacmanPointAfraid_H__
 
 #include "OrxonoxPrereqs.h"
@@ -38,9 +38,9 @@
 namespace orxonox {
 
-    class _OrxonoxExport PacmanPointSphere : public ControllableEntity
+    class _OrxonoxExport PacmanPointAfraid : public ControllableEntity
     {
         public:
-            PacmanPointSphere(Context* context);
-            virtual ~PacmanPointSphere();
+            PacmanPointAfraid(Context* context);
+            virtual ~PacmanPointAfraid();
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating an AutonomousDrone through XML.
@@ -48,5 +48,5 @@
 
             bool taken(Vector3 playerpos);
-            void resetPacmanPointSphere();
+            void resetPacmanPointAfraid();
         private:
             