Index: code/branches/3DPacman_FS18/data/levels/3DPacman.oxw
===================================================================
--- code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11954)
+++ code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11956)
@@ -16,4 +16,6 @@
 ?>
 
+<!-- include("templates/spaceshipEscort.oxt") -->
+
 <Level
   plugins = pacman
@@ -32,5 +34,7 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="0,10,245" lookat="0,0,0" spawnclass=PacmanGelb pawndesign=PacmanGelb />
+    <SpawnPoint team=0 position="0,10,150" lookat="0,0,0" spawnclass=PacmanGelb pawndesign=PacmanGelb />
+
+    <!-- <SpawnPoint team=0 position="0,10,150" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /> -->
 
 <!-- GHOSTS -->
@@ -86,6 +90,150 @@
 
 
-<!-- POINTS -->
-<PacmanPointSphere position="0,10,0">
+<!-- POINTS first Line -->
+<PacmanPointSphere position="-215,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-107,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-89,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-71,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-7,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="7,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="20,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="92,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="110,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="128,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,245">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,245">
     <attached>
         <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
@@ -99,4 +247,126 @@
 </PacmanPointSphere>
 
+
+<!-- POINTS seconde Line -->
+<PacmanPointSphere position="-215,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-197,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-179,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-161,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-143,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-125,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 7 and 8 -->
+
+<PacmanPointSphere position="-71,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-53,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-35,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="-20,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 13 and 14 -->
+
+<PacmanPointSphere position="20,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="38,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="56,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="74,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<!-- 19 and 20 -->
+
+<PacmanPointSphere position="128,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="146,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="164,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="182,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
+<PacmanPointSphere position="200,10,195">
+    <attached>
+        <Model position="0,0,0" mesh="PacmanPointSphere.mesh" scale="5" />
+    </attached>
+</PacmanPointSphere>
+
 <PacmanPointSphere position="215,10,195">
     <attached>
@@ -104,4 +374,7 @@
     </attached>
 </PacmanPointSphere>
+
+
+
 
 
@@ -122,8 +395,8 @@
 
   <!-- Edge -->  
-  <BoxCollisionShape position="250,10,0" halfExtents="1,15,250" />
-  <BoxCollisionShape position="-250,10,0" halfExtents="1,15,250" />
-  <BoxCollisionShape position="0,10,250" halfExtents="250,15,1" />
-  <BoxCollisionShape position="0,10,-250" halfExtents="250,15,1" />
+  <BoxCollisionShape position="250,10,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="-250,10,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="0,10,250" halfExtents="250,15,15" />
+  <BoxCollisionShape position="0,10,-250" halfExtents="250,15,15" />
 
    <!-- Shapes in order -->    
@@ -132,4 +405,37 @@
   <BoxCollisionShape position="200,10,-65" halfExtents="55,15,35" />
   <BoxCollisionShape position="200,10,30" halfExtents="55,15,35" />
+  <BoxCollisionShape position="-175,10,-195" halfExtents="30,15,20" /> <!-- 5 -->  
+  <BoxCollisionShape position="-80,10,-195" halfExtents="40,15,20" />
+  <BoxCollisionShape position="-175,10,-140" halfExtents="30,15,10" />
+  <BoxCollisionShape position="0,10,-210" halfExtents="10,15,30" />
+  <BoxCollisionShape position="80,10,-195" halfExtents="40,15,20" />
+  <BoxCollisionShape position="175,10,-195" halfExtents="30,15,20" /> <!-- 10 -->
+  <BoxCollisionShape position="175,10,-140" halfExtents="30,15,10" />
+  <BoxCollisionShape position="0,10,-140" halfExtents="60,15,10" />
+  <BoxCollisionShape position="0,10,-110" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-100,10,-90" halfExtents="10,15,60" />
+  <BoxCollisionShape position="-70,10,-90" halfExtents="25,15,10" /> <!-- 15 -->
+  <BoxCollisionShape position="100,10,-90" halfExtents="10,15,60" />
+  <BoxCollisionShape position="70,10,-90" halfExtents="25,15,10" />
+  <BoxCollisionShape position="0,10,-20" halfExtents="60,15,35" />
+  <BoxCollisionShape position="-100,10,30" halfExtents="10,15,35" />
+  <BoxCollisionShape position="0,10,50" halfExtents="60,15,10" /> <!-- 20 -->
+  <BoxCollisionShape position="0,10,80" halfExtents="10,15,25" />
+  <BoxCollisionShape position="100,10,30" halfExtents="10,15,35" />
+  <BoxCollisionShape position="-175,10,100" halfExtents="30,15,10" />
+  <BoxCollisionShape position="-155,10,130" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-75,10,100" halfExtents="35,15,10" /> <!-- 25 -->
+  <BoxCollisionShape position="75,10,100" halfExtents="35,15,10" />
+  <BoxCollisionShape position="175,10,100" halfExtents="30,15,10" />
+  <BoxCollisionShape position="155,10,130" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-220,10,150" halfExtents="20,15,10" />
+  <BoxCollisionShape position="-220,10,150" halfExtents="20,15,10" /> <!-- 30 -->
+  <BoxCollisionShape position="0,10,150" halfExtents="60,15,10" />
+  <BoxCollisionShape position="0,10,180" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-100,10,170" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-125,10,200" halfExtents="80,15,10" />
+  <BoxCollisionShape position="100,10,170" halfExtents="10,15,25" /> <!-- 35 -->
+  <BoxCollisionShape position="125,10,200" halfExtents="80,15,10" />
+
 
     </collisionShapes> 