Index: code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt	(revision 11956)
+++ code/branches/3DPacman_FS18/src/modules/pacman/CMakeLists.txt	(revision 11958)
@@ -5,4 +5,5 @@
   PacmanPointSphere.cc
   PacmanPointAfraid.cc
+  PacmanHUDinfo.cc
 )
 
Index: code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11956)
+++ code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11958)
@@ -55,5 +55,16 @@
     void Pacman::levelUp()
     {
-        this->end();
+        for(PacmanPointSphere* nextsphere : ObjectList<PacmanPointSphere>()){
+        	nextsphere->resetPacmanPointSphere();
+        }
+
+        for(PacmanPointAfraid* next : ObjectList<PacmanPointAfraid>()){
+            next->resetPacmanPointAfraid();
+        }
+
+        for(PacmanGhost* nextghost : ObjectList<PacmanGhost>()){
+            nextghost->levelupvelo(); 
+        }
+        this->posreset();
     }
 
@@ -217,21 +228,6 @@
     void Pacman::end()
     {
-        /*
-        firstGame = false;
-        
-        //Set randomized deathmessages
-        if(point<7)         sDeathMessage = DeathMessage7[rand()%(DeathMessage7.size())];
-        else if(point<20)   sDeathMessage = DeathMessage20[rand()%(DeathMessage20.size())];
-        else if(point<30)   sDeathMessage = DeathMessage30[rand()%(DeathMessage30.size())];
-        else                sDeathMessage = DeathMessageover30[rand()%(DeathMessageover30.size())];
-        
-        //Update Highscore
-        if (Highscore::exists())
-        {
-            int score = this->getPoints();
-            Highscore::getInstance().storeScore("Pacman", score, this->getPlayer()->getPlayer());
-        }
-
-
+
+    	/*
         if (Highscore::exists())
         {
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11956)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11958)
@@ -466,3 +466,9 @@
     
     }
+
+    void levelupvelo(){
+        velocity.x = velocity.x + 2;
+        velocity.y = velocity.y + 2;
+        velocity.z = velocity.z + 2;
+    }
 }
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11956)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11958)
@@ -56,4 +56,5 @@
             void setnewTarget(int firstdec, int seconddec, int thirddec, int fourthdec);
             void changewith(PacmanGhost* otherghost);
+            void levelupvelo();
 
             bool findpos(Vector3 one, Vector3 other);      
@@ -65,9 +66,9 @@
             bool ismoving = false;
             int target_x = 0; 
-            int target_z = 0; 
+            int target_z = 0;
+            Vector3 velocity;
 
         private:
             int decision = 0; //Gives the random which way information to the ghost.
-            Vector3 velocity;
             Vector3 resetposition = Vector3(0,10,15);
     };
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11956)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11958)
@@ -65,5 +65,4 @@
         if (this->PacmanGame)
         {
-            if(not this->PacmanGame->isDead()){
                 if(this->bShowPoints_){
                     const std::string& points = "Score: "+multi_cast<std::string>(this->PacmanGame->getPoints());
@@ -71,49 +70,6 @@
                     this->setCaption(points);
                 }
-                else if(this->bShowMessage_){
-                    setTextSize(0);
-                }
-            }
-            else{
-                if(this->bShowPoints_){
-                    setTextSize(0);
-                }
-                else if(this->bShowMessage_){
-                    if(this->PacmanGame->firstGame){
-                        if(messageID==3){
-                            setTextSize(0.05);
-                            this->setCaption("First click, then press space to start");
-                        }
-                    }
-                    else{
-                        std::string message;
-                        setTextSize(0.05);
-                        switch(messageID){
-                            case 0:
-                                message = "Game Over";
-                                setTextSize(0.1);
-                                this->setCaption(message);
-                            break;
-                            case 1:
-                                message = this->PacmanGame->sDeathMessage;
-                            break;
-                            case 2:
-                                message = "Your Score: "+multi_cast<std::string>(this->PacmanGame->getPoints())+
-                                                        "  Local High Score: "+multi_cast<std::string>(Highscore::getInstance().getHighestScoreOfGame("Flappy Orx"));
-                            break;
-                            case 3:
-                                time_t time = this->PacmanGame->getPlayer()->timeUntilRespawn();
-                                if(time<=0)
-                                    message = "Press space to restart.";
-                                else
-                                    message = "Please wait "+multi_cast<std::string>(time)+" seconds.";
-                            break;
-                        }
-                        this->setCaption(message);
-                    }
-                }
-            }   
         }
-    }
+    }    
 
     void PacmanHUDinfo::changedOwner()