Index: /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw
===================================================================
--- /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11960)
+++ /code/branches/3DPacman_FS18/data/levels/3DPacman.oxw	(revision 11961)
@@ -1770,46 +1770,46 @@
 
   <!-- Edge -->  
-  <BoxCollisionShape position="250,10,0" halfExtents="15,15,250" />
-  <BoxCollisionShape position="-250,10,0" halfExtents="15,15,250" />
-  <BoxCollisionShape position="0,10,250" halfExtents="250,15,15" />
-  <BoxCollisionShape position="0,10,-250" halfExtents="250,15,15" />
+  <BoxCollisionShape position="250,30,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="-250,30,0" halfExtents="15,15,250" />
+  <BoxCollisionShape position="0,30,250" halfExtents="250,15,15" />
+  <BoxCollisionShape position="0,30,-250" halfExtents="250,15,15" />
 
    <!-- Shapes in order -->    
-  <BoxCollisionShape position="-200,10,-65" halfExtents="55,15,35" />
-  <BoxCollisionShape position="-200,10,30" halfExtents="55,15,35" />
-  <BoxCollisionShape position="200,10,-65" halfExtents="55,15,35" />
-  <BoxCollisionShape position="200,10,30" halfExtents="55,15,35" />
-  <BoxCollisionShape position="-175,10,-195" halfExtents="30,15,20" /> <!-- 5 -->  
-  <BoxCollisionShape position="-80,10,-195" halfExtents="40,15,20" />
-  <BoxCollisionShape position="-175,10,-140" halfExtents="30,15,10" />
-  <BoxCollisionShape position="0,10,-210" halfExtents="10,15,30" />
-  <BoxCollisionShape position="80,10,-195" halfExtents="40,15,20" />
-  <BoxCollisionShape position="175,10,-195" halfExtents="30,15,20" /> <!-- 10 -->
-  <BoxCollisionShape position="175,10,-140" halfExtents="30,15,10" />
-  <BoxCollisionShape position="0,10,-140" halfExtents="60,15,10" />
-  <BoxCollisionShape position="0,10,-110" halfExtents="10,15,25" />
-  <BoxCollisionShape position="-100,10,-90" halfExtents="10,15,60" />
-  <BoxCollisionShape position="-70,10,-90" halfExtents="25,15,10" /> <!-- 15 -->
-  <BoxCollisionShape position="100,10,-90" halfExtents="10,15,60" />
-  <BoxCollisionShape position="70,10,-90" halfExtents="25,15,10" />
-  <BoxCollisionShape position="0,10,-20" halfExtents="60,15,35" />
-  <BoxCollisionShape position="-100,10,30" halfExtents="10,15,35" />
-  <BoxCollisionShape position="0,10,50" halfExtents="60,15,10" /> <!-- 20 -->
-  <BoxCollisionShape position="0,10,80" halfExtents="10,15,25" />
-  <BoxCollisionShape position="100,10,30" halfExtents="10,15,35" />
-  <BoxCollisionShape position="-175,10,100" halfExtents="30,15,10" />
-  <BoxCollisionShape position="-155,10,130" halfExtents="10,15,25" />
-  <BoxCollisionShape position="-75,10,100" halfExtents="35,15,10" /> <!-- 25 -->
-  <BoxCollisionShape position="75,10,100" halfExtents="35,15,10" />
-  <BoxCollisionShape position="175,10,100" halfExtents="30,15,10" />
-  <BoxCollisionShape position="155,10,130" halfExtents="10,15,25" />
-  <BoxCollisionShape position="-220,10,150" halfExtents="20,15,10" />
-  <BoxCollisionShape position="-220,10,150" halfExtents="20,15,10" /> <!-- 30 -->
-  <BoxCollisionShape position="0,10,150" halfExtents="60,15,10" />
-  <BoxCollisionShape position="0,10,180" halfExtents="10,15,25" />
-  <BoxCollisionShape position="-100,10,170" halfExtents="10,15,25" />
-  <BoxCollisionShape position="-125,10,200" halfExtents="80,15,10" />
-  <BoxCollisionShape position="100,10,170" halfExtents="10,15,25" /> <!-- 35 -->
-  <BoxCollisionShape position="125,10,200" halfExtents="80,15,10" />
+  <BoxCollisionShape position="-200,30,-65" halfExtents="55,15,35" />
+  <BoxCollisionShape position="-200,30,30" halfExtents="55,15,35" />
+  <BoxCollisionShape position="200,30,-65" halfExtents="55,15,35" />
+  <BoxCollisionShape position="200,30,30" halfExtents="55,15,35" />
+  <BoxCollisionShape position="-175,30,-195" halfExtents="30,15,20" /> <!-- 5 -->  
+  <BoxCollisionShape position="-80,30,-195" halfExtents="40,15,20" />
+  <BoxCollisionShape position="-175,30,-140" halfExtents="30,15,10" />
+  <BoxCollisionShape position="0,30,-210" halfExtents="10,15,30" />
+  <BoxCollisionShape position="80,30,-195" halfExtents="40,15,20" />
+  <BoxCollisionShape position="175,30,-195" halfExtents="30,15,20" /> <!-- 10 -->
+  <BoxCollisionShape position="175,30,-140" halfExtents="30,15,10" />
+  <BoxCollisionShape position="0,30,-140" halfExtents="60,15,10" />
+  <BoxCollisionShape position="0,30,-110" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-100,30,-90" halfExtents="10,15,60" />
+  <BoxCollisionShape position="-70,30,-90" halfExtents="25,15,10" /> <!-- 15 -->
+  <BoxCollisionShape position="100,30,-90" halfExtents="10,15,60" />
+  <BoxCollisionShape position="70,30,-90" halfExtents="25,15,10" />
+  <BoxCollisionShape position="0,30,-20" halfExtents="60,15,35" />
+  <BoxCollisionShape position="-100,30,30" halfExtents="10,15,35" />
+  <BoxCollisionShape position="0,30,50" halfExtents="60,15,10" /> <!-- 20 -->
+  <BoxCollisionShape position="0,30,80" halfExtents="10,15,25" />
+  <BoxCollisionShape position="100,30,30" halfExtents="10,15,35" />
+  <BoxCollisionShape position="-175,30,100" halfExtents="30,15,10" />
+  <BoxCollisionShape position="-155,30,130" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-75,30,100" halfExtents="35,15,10" /> <!-- 25 -->
+  <BoxCollisionShape position="75,30,100" halfExtents="35,15,10" />
+  <BoxCollisionShape position="175,30,100" halfExtents="30,15,10" />
+  <BoxCollisionShape position="155,30,130" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-220,30,150" halfExtents="20,15,10" />
+  <BoxCollisionShape position="-220,30,150" halfExtents="20,15,10" /> <!-- 30 -->
+  <BoxCollisionShape position="0,30,150" halfExtents="60,15,10" />
+  <BoxCollisionShape position="0,30,180" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-100,30,170" halfExtents="10,15,25" />
+  <BoxCollisionShape position="-125,30,200" halfExtents="80,15,10" />
+  <BoxCollisionShape position="100,30,170" halfExtents="10,15,25" /> <!-- 35 -->
+  <BoxCollisionShape position="125,30,200" halfExtents="80,15,10" />
 
 
Index: /code/branches/3DPacman_FS18/data/overlays/PacmanHUD.oxo
===================================================================
--- /code/branches/3DPacman_FS18/data/overlays/PacmanHUD.oxo	(revision 11960)
+++ /code/branches/3DPacman_FS18/data/overlays/PacmanHUD.oxo	(revision 11961)
@@ -5,16 +5,34 @@
 <Template name="PacmanHUD">
   <OverlayGroup name="PacmanHUD" scale = "1, 1">
-   
+    
+  </OverlayGroup>
+</Template>
+
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+
     <PacmanHUDinfo
-     position  = "0.02, 0.01"
+     position  = "0.4, 0.01"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
      textsize  = 0.04
      colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
+     align     = "right"
 
      showpoints     = true
     />
-    
-  </OverlayGroup>
+
+    <PacmanHUDinfo
+     position  = "0.4, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+
+     showghoststatus     = true
+    />
+
+ </OverlayGroup>
 </Template>
Index: /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11960)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11961)
@@ -45,5 +45,7 @@
         this->bShowPoints_ = false;
         this->bShowMessage_ = false;
+        this->bShowGhoststatus_ = false;
         this->messageID = 0;
+
     }
 
@@ -54,4 +56,5 @@
         XMLPortParam(PacmanHUDinfo, "showpoints",    setShowPoints,    getShowPoints,    xmlelement, mode).defaultValues(false);
         XMLPortParam(PacmanHUDinfo, "showmessage",   setShowMessage,   getShowMessage,   xmlelement, mode).defaultValues(false);
+        XMLPortParam(PacmanHUDinfo, "showghoststatus",   setGhoststatus,   getGhoststatus,   xmlelement, mode).defaultValues(false);
         XMLPortParam(PacmanHUDinfo, "messageID",     setMessageID,     getMessageID,     xmlelement, mode).defaultValues(0);
        
@@ -66,7 +69,14 @@
         {
                 if(this->bShowPoints_){
-                    const std::string& points = "Score: "+multi_cast<std::string>(this->PacmanGame->getPoints());
+                    const std::string& points = "Collected points: "+multi_cast<std::string>(this->PacmanGame->getPoints()) + " of " + multi_cast<std::string>(this->PacmanGame->totallevelpoint);
                     setTextSize(0.04);
                     this->setCaption(points);
+                }
+                if(this->bShowGhoststatus_){
+                    const std::string& ghoststatus = "Do not get caught!";
+                    //if(this->PacmanGame->afraid) const std::string& ghoststatus = "Catch the ghosts!";
+                    orxout() << "Test Hier" << endl;
+                    setTextSize(0.04);
+                    this->setCaption(ghoststatus);
                 }
         }
Index: /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h
===================================================================
--- /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h	(revision 11960)
+++ /code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h	(revision 11961)
@@ -63,8 +63,15 @@
                 { return messageID; }
 
+            inline void setGhoststatus(int value){
+                this->bShowGhoststatus_ = value;
+            }
+            inline int getGhoststatus() const
+                { return this->bShowGhoststatus_; }
+
         private:
             Pacman* PacmanGame;
             bool bShowPoints_;
             bool bShowMessage_;
+            bool bShowGhoststatus_;
             int messageID;
     };